Subject: [AVT] G.711.1 payload format -02

From: <[email-masked]>
Date: Mon, 21 Apr 2008 17:41:46 +0200

Hi

I've submitted a revision of the G.711.1 payload format.
http://www.ietf.org/internet-drafts/draft-ietf-avt-rtp-g711wb-02.txt

Below is a summary of the changes :
- Section 3: add names of the RTP header fields (and reorder to be
aligned with RFC 3550 order)
- Section 4: say that fixed mode is mandatory and recommend to also
support dynamic mode
- Section 4.1 and 4.2: just swapped, to have fixed mode first
- Section 5.1 and 5.2: add the multiple of 5ms aspect for ptime and
maxptime
- Section 5.3.1: improve text and examples w.r.t. G.711 support
- New Section 6 on G.711 interoperability

It should address the recent comments from Roni and Colin.

Aurelien
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www.ietf.org/mailman/listinfo/avt

---

From: Colin Perkins <[email-masked]>
Date: Sun, 27 Apr 2008 11:15:07 +0100

Hi,

[not as chair]

> It should address the recent comments from Roni and Colin.

While the format is workable as-is, and I'm not going to stop  
progress over this, I still think that having both modes is a  
mistake. Both the payload format and the signalling would be simpler  
if there were only one way of transporting the frames, and one way of  
signalling which codec modes can be used. Having three options:

- Fixed mode, one payload type
- Fixed mode, multiple payload types to allow codec mode switching
- Dynamic mode

is only going to cause interoperability problems, and I would  
strongly recommend you choose one way to frame the codec output, and  
one way to signal which modes are to be used. Avoid options, where  
possible.

-- 
Colin Perkins
http://csperkins.org/

---

From: <[email-masked]>
Date: Mon, 28 Apr 2008 16:04:13 +0200

Colin,

After discussing with interested parties, I am about to update the draft in a direction that follows your advice of simplification.

Thanks 
Aurelien

> -----Message d'origine-----
> De : Colin Perkins [mailto:[email-masked]] 
> Envoyé : dimanche 27 avril 2008 12:15
> À : SOLLAUD Aurelien RD-TECH-LAN
> Cc : [email-masked]; [email-masked]
> Objet : Re: [AVT] G.711.1 payload format -02
> 
> Hi,
> 
> [not as chair]
> 
> mistake. Both the payload format and the signalling would be 
> simpler if there were only one way of transporting the 
> frames, and one way of signalling which codec modes can be 
> used. Having three options:
> 
> strongly recommend you choose one way to frame the codec 
> output, and one way to signal which modes are to be used. 
> Avoid options, where possible.
> 
> --
> Colin Perkins
> http://csperkins.org/
> 
> 
>